# getStatus

abstract fun getStatus(): String

Returns the status of the component. Must match one of the values in getStatusScheme.

For an external module component, the status is determined from the module descriptor:

- For modules in an Ivy repository, this value is taken from the published ivy descriptor.
- For modules in a Maven repository, this value will be "integration" for a SNAPSHOT module, and "release" for all non-SNAPSHOT modules.

#### Return

the status of the component